GET api/EmployeeBasic
Gets a list of Employees live from a payroll database where the employee's details have changed since the nominated "changed since" date.
Request Information
URI Parameters
(i.e.queryString parameters in the form ?param1={param1}¶m2={param2})
| Name | Description | Type | Additional information |
|---|---|---|---|
| changedSince |
Only include employees changed since this date (mandatory). Date Formats supported include: yyyy/mm/dd, yyyy/mmm/dd, yyyy-mm-dd, yyyy-mmm-dd. Generally any unambiguous date format is acceptable (mandatory). A time can be appended to the date using the format: Thh:mm:ss were T is the symbol denoting time |
date |
Required |
| include  Terminated |
Set to true to include employees terminated after the changedSince date, false to exclude all terminated employees |
boolean |
Required |
| page |
The page number to return using the pageSize parameter to define pages. Defaults to 1. |
integer |
Default value is 1 |
| pageSize |
The page size (number of records) to be used to find the record for the page requested. Defaults to 1000. |
integer |
Default value is 1000 |
Body Parameters
None.
Response Information
Resource Description
A list of Employee basic
PagedObjectOfEmployeeBasicView| Name | Description | Type | Additional information |
|---|---|---|---|
| Items |
Collection of EmployeeBasic  View |
None. |
|
| PageInfo | PagedListPageInfo |
None. |
Response Formats
application/json, text/json
{
"items": [
{
"idEmployee": 1,
"empCode": "sample string 2",
"surname": "sample string 3",
"firstName": "sample string 4",
"middleName": "sample string 5",
"preferredName": "sample string 6",
"title": "sample string 7",
"gender": "sample string 8",
"maritalStatus": "sample string 9",
"dateOfBirth": "2026-06-14T18:40:48.1710481+10:00",
"hiredDate": "2026-06-14T18:40:48.1710481+10:00",
"aboriginalTorresStrait": "sample string 10",
"street": "sample string 11",
"suburbCity": "sample string 12",
"state": "sample string 13",
"postcode": "sample string 14",
"country": "sample string 15",
"postalStreet": "sample string 16",
"postalSuburbCity": "sample string 17",
"postalState": "sample string 18",
"postalPostcode": "sample string 19",
"postalCountry": "sample string 20",
"telephone1": "sample string 21",
"telephone2": "sample string 22",
"defaultEmail": "sample string 23",
"payrollCompany": "sample string 24",
"payFrequency": "sample string 25",
"location": "sample string 26",
"payPoint": "sample string 27",
"workersCompCode": "sample string 28",
"jobClassification": "sample string 29",
"userDefinedFields": [
{
"pageName": "sample string 1",
"fieldName": "sample string 2",
"fieldDescription": "sample string 3",
"fieldType": "sample string 4",
"value": "sample string 5",
"displayOrder": 6
},
{
"pageName": "sample string 1",
"fieldName": "sample string 2",
"fieldDescription": "sample string 3",
"fieldType": "sample string 4",
"value": "sample string 5",
"displayOrder": 6
}
],
"isAnnualisedSalary": true,
"annualisedAnniversaryDate": "2026-06-14T18:40:48.1710481+10:00"
},
{
"idEmployee": 1,
"empCode": "sample string 2",
"surname": "sample string 3",
"firstName": "sample string 4",
"middleName": "sample string 5",
"preferredName": "sample string 6",
"title": "sample string 7",
"gender": "sample string 8",
"maritalStatus": "sample string 9",
"dateOfBirth": "2026-06-14T18:40:48.1710481+10:00",
"hiredDate": "2026-06-14T18:40:48.1710481+10:00",
"aboriginalTorresStrait": "sample string 10",
"street": "sample string 11",
"suburbCity": "sample string 12",
"state": "sample string 13",
"postcode": "sample string 14",
"country": "sample string 15",
"postalStreet": "sample string 16",
"postalSuburbCity": "sample string 17",
"postalState": "sample string 18",
"postalPostcode": "sample string 19",
"postalCountry": "sample string 20",
"telephone1": "sample string 21",
"telephone2": "sample string 22",
"defaultEmail": "sample string 23",
"payrollCompany": "sample string 24",
"payFrequency": "sample string 25",
"location": "sample string 26",
"payPoint": "sample string 27",
"workersCompCode": "sample string 28",
"jobClassification": "sample string 29",
"userDefinedFields": [
{
"pageName": "sample string 1",
"fieldName": "sample string 2",
"fieldDescription": "sample string 3",
"fieldType": "sample string 4",
"value": "sample string 5",
"displayOrder": 6
},
{
"pageName": "sample string 1",
"fieldName": "sample string 2",
"fieldDescription": "sample string 3",
"fieldType": "sample string 4",
"value": "sample string 5",
"displayOrder": 6
}
],
"isAnnualisedSalary": true,
"annualisedAnniversaryDate": "2026-06-14T18:40:48.1710481+10:00"
}
],
"pageInfo": {
"page": 1,
"pageSize": 2,
"totalCount": 3,
"totalPages": 4,
"countThisPage": 5,
"hasPreviousPage": true,
"hasNextPage": true,
"errorMessage": "sample string 8"
}
}